package com.yonge.cooleshow.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 监听融云用户状态变更实体类
 *
 * @author hgw
 * Created by 2022-02-18
 */
public class ImUserStateSync implements Serializable {

    @ApiModelProperty(value = "用户 Id")
    private String userid;

    @ApiModelProperty(value = "状态：0：online 上线、1：offline 离线、2：logout 登出 3：退出直播间")
    private String status;

    @ApiModelProperty(value = "操作系统：iOS、Android、Websocket、PC、MiniProgram（小程序），用户上线时同步")
    private String os;

    @ApiModelProperty(value = "发生时间")
    private Long time;

    @ApiModelProperty(value = "用户当前的 IP 地址及端口")
    private String clientIp;

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOs() {
        return os;
    }

    public void setOs(String os) {
        this.os = os;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getClientIp() {
        return clientIp;
    }

    public void setClientIp(String clientIp) {
        this.clientIp = clientIp;
    }
}
